CUDA-fähiges ffmpeg 4 auf OpenSUSE Leap

  • Gibt es irgendwo ein Repository für ein CUDA-fähiges ffmpeg 4 auf OpenSUSE Leap oder kennt jemand das folgende Fehlerbild?


    Ich habe versucht ffmpeg selber zu kompilieren mittels

    --enable-cuda --enable-cuvid --enable-nvenc --enable-nonfree --enable-libnpp --enable-shared --extra-cflags=-fPIC --enable-libx264 --enable-libx265 --enable-gpl --extra-cflags=-I/usr/local/cuda/include --extra-ldflags=-L/usr/local/cuda/lib64Compilieren ist auch OK, allerdings bekomme ich beim Ausführen von:

    ./ffmpeg -y -hwaccel cuvid -c:v h264_cuvid -vsync 0 -i 'MVI_1223.mp4' \ -vf scale_npp=1920:1072 -vcodec h264_nvenc /tmp/o0.264 -vf scale_npp=1280:720 -vcodec h264_nvenc /tmp/o1.264
    dann folgende Ausgabe:

    Nvidia-Treiber: NVIDIA-Linux-x86_64-390.77

    CUDA: cuda-repo-opensuse423-9-2-local-9.2.148-1.x86_64.rpm

    VDR 2.4.1 Kodi 18.6-Leia
    Ubuntu 20.04, Kernel 5.6.13, Thermaltake DH102, ASHRock J4105B, CineS2 V6.5.
    Plugins:
    radio v1.1.0-6-g468280f , trayopenng 1.0.2, fritzbox 1.5.3, cdplayer 1.2.4, femon v2.4.0-GIT-d366856, menuorg 0.5.2, extrecmenung v2.0.4, streamdev-server v0.6.1-git, cecremote 1.5.0, osd2web 0.2.51, softhdvaapi v3.1.1-GITa41f6b2

  • Hallo hier ein Auszug aus meiner config.h für 4.0

    Code
    1. #define FFMPEG_CONFIGURATION "--prefix=/usr --enable-shared --enable-avresample --enable-cuvid --enable-nonfree --extra-cflags=-I/usr/include/nv-codec-headers/include/ --enable-cuda"
  • Laut dem ersten google hit bei jmd mit R384 Treiber:


    >>Please upgrade to R396 drivers. The said API is not supported on R384 drivers.

  • >>Please upgrade to R396 drivers. The said API is not supported on R384 drivers.

    Danke, das war das Problem:prost2

    VDR 2.4.1 Kodi 18.6-Leia
    Ubuntu 20.04, Kernel 5.6.13, Thermaltake DH102, ASHRock J4105B, CineS2 V6.5.
    Plugins:
    radio v1.1.0-6-g468280f , trayopenng 1.0.2, fritzbox 1.5.3, cdplayer 1.2.4, femon v2.4.0-GIT-d366856, menuorg 0.5.2, extrecmenung v2.0.4, streamdev-server v0.6.1-git, cecremote 1.5.0, osd2web 0.2.51, softhdvaapi v3.1.1-GITa41f6b2